"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _reactNative2 = require("react-native");
var _TimerPicker = _interopRequireDefault(require("../components/TimerPicker"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
describe("TimerPicker", () => {
  it("renders without crashing", () => {
    const {
      getByTestId
    } = (0, _reactNative.render)(/*#__PURE__*/_react.default.createElement(_TimerPicker.default, null));
    const component = getByTestId("timer-picker");
    expect(component).toBeDefined();
  });
  it("renders without crashing with negative padWithNItems", () => {
    const {
      getByTestId
    } = (0, _reactNative.render)(/*#__PURE__*/_react.default.createElement(_TimerPicker.default, {
      padWithNItems: -1
    }));
    const component = getByTestId("timer-picker");
    expect(component).toBeDefined();
  });
  it("hides days, minutes and seconds when respective hide props are provided", () => {
    const {
      queryByTestId
    } = (0, _reactNative.render)(/*#__PURE__*/_react.default.createElement(_TimerPicker.default, {
      hideDays: true,
      hideMinutes: true,
      hideSeconds: true
    }));
    const dayPicker = queryByTestId("duration-scroll-day");
    const minutePicker = queryByTestId("duration-scroll-minute");
    const secondPicker = queryByTestId("duration-scroll-second");
    expect(dayPicker).toBeNull();
    expect(minutePicker).toBeNull();
    expect(secondPicker).toBeNull();
  });
  it("uses the custom FlatList component when provided", () => {
    const CustomFlatList = props => /*#__PURE__*/_react.default.createElement(_reactNative2.FlatList, _extends({}, props, {
      testID: "custom-flat-list"
    }));
    const {
      queryAllByTestId
    } = (0, _reactNative.render)(/*#__PURE__*/_react.default.createElement(_TimerPicker.default, {
      FlatList: CustomFlatList
    }));
    const customFlatList = queryAllByTestId("custom-flat-list");
    expect(customFlatList).toHaveLength(3);
  });
});
//# sourceMappingURL=TimerPicker.test.js.map