function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React from "react";
import { render } from "@testing-library/react-native";
import { FlatList } from "react-native";
import TimerPicker from "../components/TimerPicker";
describe("TimerPicker", () => {
  it("renders without crashing", () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/React.createElement(TimerPicker, null));
    const component = getByTestId("timer-picker");
    expect(component).toBeDefined();
  });
  it("renders without crashing with negative padWithNItems", () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/React.createElement(TimerPicker, {
      padWithNItems: -1
    }));
    const component = getByTestId("timer-picker");
    expect(component).toBeDefined();
  });
  it("hides days, minutes and seconds when respective hide props are provided", () => {
    const {
      queryByTestId
    } = render(/*#__PURE__*/React.createElement(TimerPicker, {
      hideDays: true,
      hideMinutes: true,
      hideSeconds: true
    }));
    const dayPicker = queryByTestId("duration-scroll-day");
    const minutePicker = queryByTestId("duration-scroll-minute");
    const secondPicker = queryByTestId("duration-scroll-second");
    expect(dayPicker).toBeNull();
    expect(minutePicker).toBeNull();
    expect(secondPicker).toBeNull();
  });
  it("uses the custom FlatList component when provided", () => {
    const CustomFlatList = props => /*#__PURE__*/React.createElement(FlatList, _extends({}, props, {
      testID: "custom-flat-list"
    }));
    const {
      queryAllByTestId
    } = render(/*#__PURE__*/React.createElement(TimerPicker, {
      FlatList: CustomFlatList
    }));
    const customFlatList = queryAllByTestId("custom-flat-list");
    expect(customFlatList).toHaveLength(3);
  });
});
//# sourceMappingURL=TimerPicker.test.js.map